Permalink
Browse files

[Trivial] Bumped API and SDK versions to SDK 28.

[Mobile] Updated About activity description.
[Mobile] Updated Gaeilge translations.
  • Loading branch information...
thecosmicfrog committed Dec 12, 2018
1 parent 70a0886 commit 66c15219511d06ea259b35fcb7dd8f48fbcd65a8
Showing with 23 additions and 22 deletions.
  1. +2 −2 build.gradle
  2. +11 −11 mobile/build.gradle
  3. +3 −2 mobile/src/main/res/values-ga/strings.xml
  4. +1 −1 mobile/src/main/res/values/strings.xml
  5. +6 −6 wear/build.gradle
@@ -10,10 +10,10 @@ buildscript {
}
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.3'
classpath 'com.android.tools.build:gradle:3.2.1'

// Firebase
classpath 'com.google.gms:google-services:3.2.1'
classpath 'com.google.gms:google-services:4.2.0'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
@@ -1,13 +1,13 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 27
buildToolsVersion '27.0.3'
compileSdkVersion 28
buildToolsVersion '28.0.3'

defaultConfig {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 21
targetSdkVersion 27
targetSdkVersion 28
versionCode 121
versionName "0.121"
}
@@ -23,15 +23,15 @@ android {

dependencies {
api fileTree(include: ['*.jar'], dir: 'libs')
api 'com.android.support:appcompat-v7:27.1.1'
api 'com.android.support:cardview-v7:27.1.1'
api 'com.android.support:design:27.1.1'
api 'com.google.android.gms:play-services-wearable:15.0.1'
api 'com.android.support:appcompat-v7:28.0.0'
api 'com.android.support:cardview-v7:28.0.0'
api 'com.android.support:design:28.0.0'
api 'com.google.android.gms:play-services-wearable:16.0.1'
api 'com.squareup.retrofit:retrofit:1.9.0'
api 'com.android.support:support-v4:27.1.1'
api 'com.google.android.gms:play-services-maps:15.0.1'
api 'com.google.firebase:firebase-core:16.0.0'
api 'com.google.firebase:firebase-messaging:17.0.0'
api 'com.android.support:support-v4:28.0.0'
api 'com.google.android.gms:play-services-maps:16.0.0'
api 'com.google.firebase:firebase-core:16.0.6'
api 'com.google.firebase:firebase-messaging:17.3.4'
}

// Firebase
@@ -94,7 +94,7 @@
-->
<string name="about_title_version">Leagan</string>
<string name="about_title_description">Cur Síos</string>
<string name="about_description">Aip ghutháin agus Android Wear a léiríonn eolas fíor-ama don
<string name="about_description">Aip ghutháin agus Wear OS a léiríonn eolas fíor-ama don
Luas, córas iarnróid éadroim Bhaile Átha Cliath.</string>
<string name="about_title_license">Ceadúnas Foinse Oscailte</string>
<string name="about_license"><u>GNU General Public License (GPLv3)</u></string>
@@ -114,7 +114,8 @@
<b>Tús</b>, <b>Ceann scríbe</b> agus líon na n<b>Daoine fásta</b> agus na b<b>Páistí</b>
a bheidh ag taisteal.</string>
<string name="fares_note"><b>Nóta:</b> D\'fhéadadh na fíortháillí bheith difriúil.
Féach ar <a href="http://www.luas.ie">www.luas.ie</a> le tuilleadh eolais a fháil.</string>
Féach ar <a href="https://luas.ie/ticket-types.html">luas.ie</a> le tuilleadh eolais a
fháil.</string>
<string name="fares_offpeak">Singil seachbhuaic</string>
<string name="fares_peak">Singil buaic</string>
<string name="fares_title_line">Líne</string>
@@ -96,7 +96,7 @@
-->
<string name="about_title_version">Version</string>
<string name="about_title_description">Description</string>
<string name="about_description">Android Wear and mobile app providing real-time tram stop
<string name="about_description">Android and Wear OS app providing real-time tram stop
information for Dublin\'s Luas light rail service.</string>
<string name="about_title_license">Open Source License</string>
<string name="about_license"><u>GNU General Public License (GPLv3)</u></string>
@@ -1,15 +1,15 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 27
buildToolsVersion '27.0.3'
compileSdkVersion 28
buildToolsVersion '28.0.3'

publishNonDefault true

defaultConfig {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 21
targetSdkVersion 27
targetSdkVersion 28
versionCode 12100
versionName "0.121"
}
@@ -30,7 +30,7 @@ android {

dependencies {
api fileTree(include: ['*.jar'], dir: 'libs')
compileOnly 'com.google.android.wearable:wearable:2.3.0'
api 'com.google.android.support:wearable:2.3.0'
api 'com.google.android.gms:play-services-wearable:15.0.1'
compileOnly 'com.google.android.wearable:wearable:2.4.0'
api 'com.google.android.support:wearable:2.4.0'
api 'com.google.android.gms:play-services-wearable:16.0.1'
}

0 comments on commit 66c1521

Please sign in to comment.